<?php

require_once 'lib/sms_assistent.conf.php';
require_once 'lib/sms_assistent.lib.php';

use SmsAssistentBy\Lib as ass_lib;

$sms_assistent = new ass_lib\sms_assistent(API_USERNAME, API_PASSWORD);

////
// [Установить url для вебхука] - необязательный параметр
// $sms_assistent->setWebhookUrl('http://callback.yourdomain.by/');

////
// [Установить название рассылки]  - необязательный параметр
// $sms_assistent->setSubscribeName('НАЗВАНИЕ_РАССЫЛКИ');


////
// Отправить смс сообщение
// Параметры:
// 1) Отправитель сообщения (строковая переменная)
// 2) Телефон, получатель смс сообщения (строковая переменная для одиночной или массив для пакетной отправки)
// 3) Текст сообщения (строковая переменная для одиночной/пакетной или массив для пакетной отправки. Если передана строка для пакетной отправки, то смс текст будет для всех одинаковый)
// 4) [Не обазятельный параметр, по-умолчанию 48ч] Срок жизни смс в часах
// 5) [Не обазятельный параметр, по-умолчанию false] Дата запланированной отправки смс сообщения, формат: ГГГГММДДЧЧММ.
// 6) [Не обазятельный параметр, по-умолчанию []] Массив с параметрами рекламного сообщения Вайбер
//      viber_image - URL изображения в формате PNG, JPG, JPEG
//      viber_button - заголовок кнопки
//      viber_url - URL с рекламной информацией, на который будет переход после нажатия на кнопку в сообщении
// 7) [Не обязательный параметр, по-умолчанию []] Массив с параметрами отправки SMS в случае недоставки на Вайбер
//      sms_sender - имя отправителя SMS
//      sms_text - текст смс сообщения
$result = $sms_assistent->sendViber(
    API_SENDER_VIBER,
    'НОМЕР_ТЕЛЕФОНА_ДЛЯ_ОТПРАВКИ_СООБЩЕНИЯ',
    'ТЕКСТ_ВАЙБЕР_СООБЩЕНИЯ',
    СРОК_ЖИЗНИ_В_ЧАСАХ,
    ДАТА_ОТПРАВКИ_В_ФОРМАТЕ_ГГГГММДДЧЧММ_ИЛИ_FALSE_ЧТОБЫ_ОТПРАВИТЬ_СЕЙЧАС,
    [
        'viber_image' => 'УРЛ_НА_ИЗОБРАЖЕНИЕ_В_ФОРМАТЕ_PNG_JPG',
        'viber_button' => 'НАИМЕНОВАНИЕ_КНОПКИ',
        'viber_url' => 'УРЛ_ДЛЯ_ПЕРЕХОДА_ПО_НАЖАТИЮ_НА_КНОПКУ'
    ],
    [
        'sms_sender' => API_SENDER,
        'sms_text' => 'ТЕКСТ_СМС_СООБЩЕНИЯ'
    ]
);

print_r($result);
