<?php

require_once 'lib/sms_assistent.conf.php';
require_once 'lib/sms_assistent.lib.php';

use SmsAssistentBy\Lib as ass_lib;

$sms_assistent = new ass_lib\sms_assistent(API_USERNAME, API_PASSWORD);

////
// [Установить url для вебхука] - необязательный параметр
// $sms_assistent->setWebhookUrl('http://callback.yourdomain.by/');

////
// [Установить название рассылки]  - необязательный параметр
// $sms_assistent->setSubscribeName('НАЗВАНИЕ_РАССЫЛКИ');

////
// Отправить смс сообщение
// Параметры:
// 1) Отправитель сообщения (строковая переменная)
// 2) Телефон, получатель смс сообщения (строковая переменная для одиночной или массив для пакетной отправки)
// 3) Текст сообщения (строковая переменная для одиночной/пакетной или массив для пакетной отправки. Если передана строка для пакетной отправки, то смс текст будет для всех одинаковый)
// 4) [Не обазятельный параметр, по-умолчанию 48ч] Срок жизни смс в часах
// 5) [Не обазятельный параметр] Дата запланированной отправки смс сообщения, формат: ГГГГММДДЧЧММ.
// 6) [Не обазятельный параметр, по-умолчанию []] Массив с параметрами рекламного сообщения Вайбер
//      viber_image - URL изображения в формате PNG, JPG, JPEG
//      viber_button - заголовок кнопки
//      viber_url - URL с рекламной информацией, на который будет переход после нажатия на кнопку в сообщении
// 7) [Не обязательный параметр, по-умолчанию []] Массив с параметрами отправки SMS в случае недоставки на Вайбер
//      sms_sender - имя отправителя SMS
//      sms_text - текст смс сообщения
$result = $sms_assistent->sendViber(
	API_SENDER_VIBER,
	['НОМЕР_ТЕЛЕФОНА_ДЛЯ_ОТПРАВКИ_VIBER_1','НОМЕР_ТЕЛЕФОНА_ДЛЯ_ОТПРАВКИ_VIBER_2'],
	'ТЕКСТ_VIBER_СООБЩЕНИЯ'
);

print_r($result);
