<?php

require_once 'lib/sms_assistent.conf.php';
require_once 'lib/sms_assistent.lib.php';

use SmsAssistentBy\Lib as ass_lib;

$sms_assistent = new ass_lib\sms_assistent(API_USERNAME, API_PASSWORD);

////
// [Установить url для вебхука] - необязательный параметр
// $sms_assistent->setWebhookUrl('http://callback.yourdomain.by/');

////
// [Установить название рассылки]  - необязательный параметр
$sms_assistent->setSubscribeName('НАЗВАНИЕ_РАССЫЛКИ');

////
// Отправить смс сообщение
// Параметры:
// 1) Отправитель сообщения (строковая переменная)
// 2) Телефон, получатель смс сообщения (строковая переменная для одиночной или массив для пакетной отправки)
// 3) Текст сообщения (строковая переменная для одиночной/пакетной или массив для пакетной отправки. Если передана строка для пакетной отправки, то смс текст будет для всех одинаковый)
// 4) [Не обазятельный параметр, по-умолчанию 48ч] Срок жизни смс в часах
// 5) [Не обазятельный параметр] Дата запланированной отправки смс сообщения, формат: ГГГГММДДЧЧММ.
// 6) [Не обазятельный параметр] Код шаблона (числовая переменная для одиночной/пакетной или массив для пакетной отправки. Если передана строка для пакетной отправки, то смс текст будет для всех одинаковый)
// 7) [Не обазятельный параметр] Теги автозамены массив фомрата : ['Название тега'] = 'значение на замену'
$result = $sms_assistent->sendSms(API_SENDER, 'НОМЕР_ТЕЛЕФОНА_ДЛЯ_ОТПРАВКИ_СМС', 'Тест');

print_r($result);
